
QGIS Application - Bug report #17971

Clicking any Field or Record Option in Delimited Text import switches away from "no geometry"

2018-01-26 03:54 PM - Johannes Kroeger

Status: Closed

Priority: Low

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25867

Description

1. Open the Delimited Text import dialog

2. Select any file

3. Set Geometry definition to "No geometry".

4. Toggle any checkbox of Field or Record Options

5. QGIS will try to autodetect the geometry again, switching the Geometry definition from "No geometry" to Point or WKT

Associated revisions

Revision f340eecc - 2018-02-09 03:33 AM - Nyall Dawson

[delimited] Don't reset geometry type from "No geometry" when

changing other settings

Fixes #17971

History

#1 - 2018-02-09 02:09 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-02-09 03:33 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f340eecc8738cebf4a4055157d87cc6e101561f0.

#3 - 2018-02-21 09:40 PM - Giovanni Manghi

- Resolution set to fixed/implemented
